//=============================================================================
//=============================================================================

#ifndef _INC_XC_ENGINE
#define _INC_XC_ENGINE


#ifndef __LINUX_X86__
	#define CORE_API DLL_IMPORT
	#define XC_ENGINE_API DLL_EXPORT
	#include <windows.h>
	#include <shlobj.h>
#else
	#include <unistd.h>	
#endif


//Engine includes
#include "Engine.h"
#include "UnNet.h" 
#include "UnLinker.h" 

#ifndef __LINUX_X86__
	#include "..\..\Window\inc\Window.h"
#else
	#undef guard
	#undef unguard
	#define guard(func) {}
	#define unguard	{}
#endif


class UXC_GameEngine;
class UXC_TravelManager;
class FCollisionCacus;
class FNodeGrid3;

//Script
#define debugf GLog->Logf

//Math
#include "UnXC_Math.h"

//Classes here
#include "UnXC_TimeManager.h"
#include "UnXC_TMap.h"
#include "UnXC_FieldIterator.h"
#include "UnXC_Game.h"		// Game Engine edited
#include "XC_Inlines.h"


#endif
